package com.dxhy.auth.bean;

import com.dxhy.common.jwt.IJWTInfo;

import lombok.extern.slf4j.Slf4j;

/**
 * 
 * @author jiaohongyang
 * @date 2019年3月26日 下午5:53:21
 */
@Slf4j
public class ClientInfo implements IJWTInfo {
    String clientId;
    String name;

    public ClientInfo(String clientId, String name, String id) {
        this.clientId = clientId;
        this.name = name;
        this.id = id;
    }

    public void setId(String id) {
        this.id = id;
    }

    String id;

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String getLoginName() {
        return clientId;
    }

    @Override
    public String getId() {
        return id;
    }

    @Override
    public String getUserName() {
        return name;
    }

    @Override
    public String getUserInfo() {
        return name;
    }

}
